Skip to main content

Validate crypto wallet withdrawal

POST 

/api/withdrawal/validation/cryptowallet

Validates withdrawal to a crypto wallet without creating a transaction.

Request​

Bodyrequired

Crypto wallet withdrawal validation payload.

    srcWalletIdstringnullable

    Src Wallet Id.

    Example: USD880390848110
    amountnumberrequired

    Amount.

    Possible values: >= 0

    Example: 10.25
    actionstringrequired

    Action.

    Possible values: [GIVE, GET]

    Example: GIVE
    notestringnullable

    Note.

    Possible values: <= 255 characters

    Example: Sandbox transfer note
    destCurrencystringrequired

    Dest Currency.

    Possible values: [BTC, ETH, SOL, TRX, XRP, TON, LTC, USDT, USDT_BEP20, USDT_ERC20, USDT_TRC20, USDT_SOL, USDT_AVAXC, USDT_POL, USDT_OP, USDT_ARB, USDT_TON, USDC, USDC_ERC20, USDC_BEP20, USDC_ARB, USDC_OP, USDC_POL, USDC_AVAXC, USDC_SOL]

    Example: USD
    address objectrequired

    Merchant Crypto Address schema.

    addressstringrequired

    Address.

    Example: test-value
    memostringnullable

    Memo.

    Example: test-value
    receiverInfo object

    Merchant Receiver Info schema.

    firstNamestring

    First Name.

    Possible values: <= 30 characters

    Example: Leo
    lastNamestring

    Last Name.

    Possible values: <= 30 characters

    Example: Peo
    emailstring

    Email.

    Possible values: <= 50 characters

    dateOfBirthstring

    Date Of Birth.

    Example: 30/01/1991
    companyNamestring

    Company Name.

    Possible values: >= 3 characters and <= 100 characters

    Example: PotterCompany

Responses​

OK